﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - February 21, 2012
// Supported Devices: IT-300, IT-800
//
//////////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ConnectionManagerSample
{
    public partial class MainForm : Form
    {
        private ConnectionManager cm;
        private StatusWindow sw;

        public MainForm()
        {
            InitializeComponent();

            this.sw = new StatusWindow(this);
            this.cm = new ConnectionManager(this.sw.Hwnd);
        }

        private void MainForm_Closing(object sender, CancelEventArgs e)
        {
            // This tells the Connection Manager to give the connection up.
            // There might be a delay until the connection is actually dropped.
            this.cm.ReleaseConnection();
        }

        private void menuConnect_Click(object sender, EventArgs e)
        {
            this.cm.EstablishConnection(Destination.Internet);
        }

        private void menuExit_Click(object sender, EventArgs e)
        {
            Close();
        }
       
        public void OnStatusMessage(int message)
        {
            if (Enum.IsDefined(typeof(ConnectionStatus), message) == true)
            {
                this.lblStatus.Text = ((ConnectionStatus)message).ToString();
            }
        }
    }
}